unit uViewGastosMontaje;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewGrid, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData,
  cxDataStorage, cxEdit, DB, cxDBData, dxPSGlbl, dxPSUtl, dxPSEngn, dxPrnPg,
  dxBkgnd, dxWrap, dxPrnDev, dxPSCompsProvider, dxPSFillPatterns,
  dxPSEdgePatterns, cxGridCustomPopupMenu, cxGridPopupMenu, dxPSCore,
  dxPScxCommon, dxPScxGridLnk, uDADataTable, cxGridLevel, cxClasses, cxControls,
  cxGridCustomView, cxGridCustomTableView, cxGridTableView, cxGridDBTableView,
  cxGrid,

  uBizMontajesCompleto, TB2Item, TBX, TB2Dock, TB2Toolbar, ActnList, ImgList,
  PngImageList, Menus, cxImageComboBox;

type
  IViewGastosMontaje = interface(IViewGrid)
  ['{8B596335-8E0E-416A-B894-9AC19B2D34E1}']
    function GetGastos: IBizGastosMontaje;
    procedure SetGastos(const Value: IBizGastosMontaje);
    property Gastos: IBizGastosMontaje read GetGastos write SetGastos;
  end;

  TfrViewGastosMontaje = class(TfrViewGrid, IViewGastosMontaje)
    cxGridViewRecID: TcxGridDBColumn;
    cxGridViewID: TcxGridDBColumn;
    cxGridViewID_MONTAJE: TcxGridDBColumn;
    cxGridViewFECHA_GASTO: TcxGridDBColumn;
    cxGridViewDESCRIPCION: TcxGridDBColumn;
    cxGridViewIMPORTE: TcxGridDBColumn;
    EditorActionList: TActionList;
    actAnadir: TAction;
    actEliminar: TAction;
    TBXToolbar1: TTBXToolbar;
    TBXItem1: TTBXItem;
    TBXItem3: TTBXItem;
    PngImageList: TPngImageList;
    GridPopupMenu: TPopupMenu;
    Modificar1: TMenuItem;
    N1: TMenuItem;
    Eliminar1: TMenuItem;
    cxGridViewICONO: TcxGridDBColumn;
  private
    FGastos: IBizGastosMontaje;
    function GetGastos: IBizGastosMontaje;
    procedure SetGastos(const Value: IBizGastosMontaje);
  public
    property Gastos: IBizGastosMontaje read GetGastos write SetGastos;
  end;

var
  frViewGastosMontaje: TfrViewGastosMontaje;

implementation

uses uViewGridBase;

{$R *.dfm}

{ TfrViewGastosMontaje }

function TfrViewGastosMontaje.GetGastos: IBizGastosMontaje;
begin
  Result := FGastos;
end;

procedure TfrViewGastosMontaje.SetGastos(const Value: IBizGastosMontaje);
begin
  FGastos := Value;
  if Assigned(FGastos) then
    dsDataSource.DataTable := FGastos.DataTable;
end;

end.
